#
# spec file for package perl-Locale-Maketext-Gettext
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Locale-Maketext-Gettext
Name:           perl-Locale-Maketext-Gettext
Version:        1.32
Release:        1.17
Summary:        Joins the gettext and Maketext frameworks
License:        Artistic-1.0 OR GPL-1.0-or-later
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/I/IM/IMACAT/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.420000
%{perl_requires}

%description
Locale::Maketext::Gettext joins the GNU gettext and Maketext frameworks. It
is a subclass of Locale::Maketext(3) that follows the way GNU gettext
works. It works seamlessly, _both in the sense of GNU gettext and
Maketext_. As a result, you _enjoy both their advantages, and get rid of
both their problems, too._

You start as a usual GNU gettext localization project: Work on PO files
with the help of translators, reviewers and Emacs. Turn them into MO files
with _msgfmt_. Copy them into the appropriate locale directory, such as
_/usr/share/locale/de/LC_MESSAGES/myapp.mo_.

Then, build your Maketext localization class, with your base class changed
from Locale::Maketext(3) to Locale::Maketext::Gettext. That is all.

%prep
%autosetup  -n %{cpan_name}-%{version}
find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README.md
%license Artistic

%changelog
* Mon Feb  8 2021 Tina Müller <timueller+perl@suse.de>
- updated to 1.32
  see /usr/share/doc/packages/perl-Locale-Maketext-Gettext/Changes
  2021-02-08	version 1.32
  1. Makefile.PL, Build.PL: Added the CPAN distribution metadata.
  2021-02-07
  1. maketext: Fixed the version number.
  2021-02-07	version 1.31
  1. Updated .gitignore.
  2. Added MANIFEST.SKIP.
  3. MANIFEST, META.json, META.yml, SIGNATURE: Generated files
  removed from the Git repository.
  4. COPYING: Removed the redundant and irrelevant GPL license.
  5. BUGS, INSTALL, README, THANKS, TODO, README.md: Replaced the
  messy GNU-styled documents with a single Markdown README.md,
  and updated the URLs.
  6. Gettext.pm, Functions.pm, maketext, 11-command-line.t,
  12-cache.t, Changes: Various fixes to avoid JetBrains IDE
  problem detection.
* Tue Sep 17 2019 <timueller+perl@suse.de>
- updated to 1.30
  see /usr/share/doc/packages/perl-Locale-Maketext-Gettext/Changes
  2019-09-17	version 1.30
  Fix after 10 years.
  1. 12-cache.t: Fixed so that it works on MS-Win32.  I forgot to
  issue binmode when copying the MO files.
  2. 00-signature.t: Removed TEST_SIGNATURE, as this does not work
  on everybody who does not have my GPG public key, but me.
  3. 03-errors.t: Removed the debugging output.
* Tue Sep 10 2019 <timueller+perl@suse.de>
- updated to 1.29
  see /usr/share/doc/packages/perl-Locale-Maketext-Gettext/Changes
  2019-09-09	version 1.29
  Fix after 10 years.
  1. Gettext.pm: Added support to purge the lexicon cache and
  reread the MO file on calling textdomain() when MO file is
  updated automatically.  This enables MO file live update with
  persistant applications like Mojolicious or mod_perl.
  2. Source is now on Github.  See:
  https://github.com/imacat/Locale-Maketext-Gettext
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Nov 12 2010 jw@novell.com
- needed by publican
- initial package 1.28
  * created by cpanspec 1.78.02
